=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2009-07-10 04:45:15 +0000
+++ client/drizzleslap.cc	2009-07-13 19:24:14 +0000
@@ -479,7 +479,11 @@
       run_query(con, NULL, "SET AUTOCOMMIT=0", strlen("SET AUTOCOMMIT=0"));
 
     if (pre_system)
-      assert(system(pre_system)!=-1);
+    {
+      int ret= system(pre_system);
+      assert(ret != -1);
+    }
+       
 
     /*
       Pre statements are always run after all other logic so they can
@@ -494,7 +498,10 @@
       run_statements(con, post_statements);
 
     if (post_system)
-      assert(system(post_system)!=-1);
+    {
+      int ret=  system(post_system);
+      assert(ret !=-1);
+    }
 
     /* We are finished with this run */
     if (auto_generate_sql_autoincrement || auto_generate_sql_guid_primary)

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2009-07-12 20:02:41 +0000
+++ drizzled/session.cc	2009-07-13 19:24:14 +0000
@@ -2045,7 +2045,8 @@
 bool Session::open_normal_and_derived_tables(TableList *tables, uint32_t flags)
 {
   uint32_t counter;
-  assert(!(fill_derived_tables()));
+  bool ret= fill_derived_tables();
+  assert(ret == false);
   if (open_tables_from_list(&tables, &counter, flags) ||
       mysql_handle_derived(lex, &mysql_derived_prepare))
     return true; /* purecov: inspected */

=== modified file 'drizzled/xid.cc'
--- drizzled/xid.cc	2009-05-05 21:20:32 +0000
+++ drizzled/xid.cc	2009-07-11 08:59:58 +0000
@@ -178,8 +178,6 @@
 bool xid_cache_insert(XID_STATE *xid_state)
 {
   pthread_mutex_lock(&LOCK_xid_cache);
-  assert(hash_search(&xid_cache, xid_state->xid.key(),
-                          xid_state->xid.key_length())==0);
   bool res=my_hash_insert(&xid_cache, (unsigned char*)xid_state);
   pthread_mutex_unlock(&LOCK_xid_cache);
   return res;

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2009-07-13 17:40:54 +0000
+++ m4/pandora_canonical.m4	2009-07-13 19:24:14 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.10])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.11])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   dnl Force dependency tracking on for Sun Studio builds
@@ -117,10 +117,11 @@
 
   gl_VISIBILITY
 
+  PANDORA_HEADER_ASSERT
+
   PANDORA_WARNINGS(PCT_ALL_ARGS)
 
   PANDORA_ENABLE_DTRACE
-  PANDORA_HEADER_ASSERT
 
   AC_CHECK_PROGS([DOXYGEN], [doxygen])
   AC_CHECK_PROGS([PERL], [perl])

=== modified file 'm4/pandora_warnings.m4'
--- m4/pandora_warnings.m4	2009-07-09 18:51:11 +0000
+++ m4/pandora_warnings.m4	2009-07-13 19:24:14 +0000
@@ -135,7 +135,10 @@
       BASE_WARNINGS_FULL="-Wformat ${NO_STRICT_ALIASING}"
     ])
 
-    BASE_WARNINGS="${W_FAIL} -pedantic -Wall -Wextra -Wundef -Wshadow ${F_DIAGNOSTICS_SHOW_OPTION} ${CFLAG_VISIBILITY} ${BASE_WARNINGS_FULL}"
+    AS_IF([test "${ac_cv_assert}" = "no"],
+          [NO_UNUSED="-Wno-unused-variable -Wno-unused-parameter"])
+
+    BASE_WARNINGS="${W_FAIL} -pedantic -Wall -Wextra -Wundef -Wshadow ${NO_UNUSED} ${F_DIAGNOSTICS_SHOW_OPTION} ${CFLAG_VISIBILITY} ${BASE_WARNINGS_FULL}"
     CC_WARNINGS="${BASE_WARNINGS} -Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls -Wmissing-declarations -Wcast-align ${CC_WARNINGS_FULL}"
     CXX_WARNINGS="${BASE_WARNINGS} -Woverloaded-virtual -Wnon-virtual-dtor -Wctor-dtor-privacy -Wno-long-long ${CXX_WARNINGS_FULL}"
 

=== modified file 'mysys/mf_dirname.cc'
--- mysys/mf_dirname.cc	2009-06-24 23:48:15 +0000
+++ mysys/mf_dirname.cc	2009-07-11 08:59:58 +0000
@@ -128,7 +128,8 @@
 #else
   /* This is ok even if to == from, becasue we need to cut the string */
   size_t len= min(strlen(from),(size_t)(from_end-from));
-  assert(memmove(to, from, len));
+  void *ret= memmove(to, from, len);
+  assert(ret != NULL);
   to+= len;
   to[0]= '\0';
 #endif

=== modified file 'plugin/archive/azio.cc'
--- plugin/archive/azio.cc	2009-07-07 09:06:29 +0000
+++ plugin/archive/azio.cc	2009-07-11 08:59:58 +0000
@@ -892,7 +892,8 @@
   for (n = 0; n < 4; n++)
   {
     buffer[0]= (int)(x & 0xff);
-    assert(pwrite(s->file, buffer, 1, s->pos)==1);
+    size_t ret= pwrite(s->file, buffer, 1, s->pos);
+    assert(ret == 1);
     s->pos++;
     x >>= 8;
   }

=== modified file 'plugin/pool_of_threads/pool_of_threads.cc'
--- plugin/pool_of_threads/pool_of_threads.cc	2009-04-10 23:38:17 +0000
+++ plugin/pool_of_threads/pool_of_threads.cc	2009-07-11 08:59:58 +0000
@@ -247,7 +247,8 @@
     {
       /* wake up the event loop */
       char c= 0;
-      assert(write(session_add_pipe[1], &c, sizeof(c))==sizeof(c));
+      size_t written= write(session_add_pipe[1], &c, sizeof(c));
+      assert(written==sizeof(c));
   
       pthread_cond_wait(&COND_thread_count, &LOCK_thread_count);
     }
@@ -309,7 +310,8 @@
       later.
     */
     char c= 0;
-    assert(write(session_kill_pipe[1], &c, sizeof(c))==sizeof(c));
+    size_t written= write(session_kill_pipe[1], &c, sizeof(c));
+    assert(written==sizeof(c));
   }
 
   virtual uint32_t count(void)
@@ -602,7 +604,8 @@
   /* queue for libevent */
   sessions_need_adding.push_front(scheduler->session);
   /* notify libevent */
-  assert(write(session_add_pipe[1], &c, sizeof(c))==sizeof(c));
+  size_t written= write(session_add_pipe[1], &c, sizeof(c));
+  assert(written==sizeof(c));
   pthread_mutex_unlock(&LOCK_session_add);
 }
 

